package com.steerinfo.metermonitor.metermonitorweight.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;

public class MeterMonitorWeight implements IBasePO<String> {
    /**
     * 采集编号(WEIGHT_NO,VARCHAR,40)
     */
    @ApiModelProperty(value="采集编号",required=true)
    private String weightNo;

    /**
     * 秤点编号(SCALE_POINT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="秤点编号",required=true)
    private String scalePointNo;

    /**
     * 秤点名称(SCALE_POINT_NAME,VARCHAR,50)
     */
    @ApiModelProperty(value="秤点名称",required=true)
    private String scalePointName;

    /**
     * 计量点编号(BASE_SPOT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="计量点编号",required=true)
    private String baseSpotNo;

    /**
     * 计量点名称(BASE_SPOT_NAME,VARCHAR,40)
     */
    @ApiModelProperty(value="计量点名称",required=true)
    private String baseSpotName;

    /**
     * 采集重量(COLLECT_WEIGHT,VARCHAR,30)
     */
    @ApiModelProperty(value="采集重量",required=true)
    private String collectWeight;

    /**
     * 采集开始时间(COLLECT_START_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="采集开始时间",required=false)
    private Date collectStartTime;

    /**
     * 采集结束时间(COLLECT_END_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="采集结束时间",required=false)
    private Date collectEndTime;

    /**
     * 采集时长(COLLECT_TIME,DECIMAL,10)
     */
    @ApiModelProperty(value="采集时长",required=false)
    private Long collectTime;

    /**
     * 计量点类型编号(SPOT_TYPE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="计量点类型编号",required=false)
    private String spotTypeNo;

    /**
     * 计量点类型名称(SPOT_TYPE_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="计量点类型名称",required=false)
    private String spotTypeName;

    /**
     * 作业编号(ACTUAL_FIRST_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="作业编号",required=false)
    private String actualFirstNo;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.weightNo;
    }

    @Override
    public void setId(String weightNo) {
        this.weightNo = weightNo == null ? null : weightNo.trim();
    }

    public String getWeightNo() {
        return weightNo;
    }

    public void setWeightNo(String weightNo) {
        this.weightNo = weightNo == null ? null : weightNo.trim();
    }

    public String getScalePointNo() {
        return scalePointNo;
    }

    public void setScalePointNo(String scalePointNo) {
        this.scalePointNo = scalePointNo == null ? null : scalePointNo.trim();
    }

    public String getScalePointName() {
        return scalePointName;
    }

    public void setScalePointName(String scalePointName) {
        this.scalePointName = scalePointName == null ? null : scalePointName.trim();
    }

    public String getBaseSpotNo() {
        return baseSpotNo;
    }

    public void setBaseSpotNo(String baseSpotNo) {
        this.baseSpotNo = baseSpotNo == null ? null : baseSpotNo.trim();
    }

    public String getBaseSpotName() {
        return baseSpotName;
    }

    public void setBaseSpotName(String baseSpotName) {
        this.baseSpotName = baseSpotName == null ? null : baseSpotName.trim();
    }

    public String getCollectWeight() {
        return collectWeight;
    }

    public void setCollectWeight(String collectWeight) {
        this.collectWeight = collectWeight == null ? null : collectWeight.trim();
    }

    public Date getCollectStartTime() {
        return collectStartTime;
    }

    public void setCollectStartTime(Date collectStartTime) {
        this.collectStartTime = collectStartTime;
    }

    public Date getCollectEndTime() {
        return collectEndTime;
    }

    public void setCollectEndTime(Date collectEndTime) {
        this.collectEndTime = collectEndTime;
    }

    public Long getCollectTime() {
        return collectTime;
    }

    public void setCollectTime(Long collectTime) {
        this.collectTime = collectTime;
    }

    public String getSpotTypeNo() {
        return spotTypeNo;
    }

    public void setSpotTypeNo(String spotTypeNo) {
        this.spotTypeNo = spotTypeNo == null ? null : spotTypeNo.trim();
    }

    public String getSpotTypeName() {
        return spotTypeName;
    }

    public void setSpotTypeName(String spotTypeName) {
        this.spotTypeName = spotTypeName == null ? null : spotTypeName.trim();
    }

    public String getActualFirstNo() {
        return actualFirstNo;
    }

    public void setActualFirstNo(String actualFirstNo) {
        this.actualFirstNo = actualFirstNo == null ? null : actualFirstNo.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", weightNo=").append(weightNo);
        sb.append(", scalePointNo=").append(scalePointNo);
        sb.append(", scalePointName=").append(scalePointName);
        sb.append(", baseSpotNo=").append(baseSpotNo);
        sb.append(", baseSpotName=").append(baseSpotName);
        sb.append(", collectWeight=").append(collectWeight);
        sb.append(", collectStartTime=").append(collectStartTime);
        sb.append(", collectEndTime=").append(collectEndTime);
        sb.append(", collectTime=").append(collectTime);
        sb.append(", spotTypeNo=").append(spotTypeNo);
        sb.append(", spotTypeName=").append(spotTypeName);
        sb.append(", actualFirstNo=").append(actualFirstNo);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}